## python-django-mellon 1.14.2.gb924eb1

=== debian/changelog ===
python-django-mellon (1.14.2.gb924eb1-1~eob90+1) stretch-eobuilder; urgency=low

  * (b924eb) translation update
  * (d67297) misc: return bad request messages as plain text (#41602)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 14 Apr 2020 09:28:16 +0200

python-django-mellon (1.14) stretch-eobuilder; urgency=low

  * (f16d31) adapters: ease custom lookup through inheritance (#40833)
  * (74230b) general: remove compatibility with django < 1.11 (#38616)
  * (320ee3) adapters: only warn if lookup attribute is empty (#39381)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 31 Mar 2020 15:10:50 +0200

python-django-mellon (1.13) stretch-eobuilder; urgency=low

  * (b4a087) misc: use compat.is_authenticated() in logout views (#38613)
  * (7802e8) misc: allow all views to receive template_base/context_hook kwargs
    (#38610)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 18 Dec 2019 10:25:44 +0100

python-django-mellon (1.12) stretch-eobuilder; urgency=low

  * (fcb38f) misc: ignore error when opening cached metadata (#38575)
  * (b1b85c) add possibility to define a hook to alter login template context
    (#38533)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 17 Dec 2019 09:04:23 +0100

python-django-mellon (1.11) stretch-eobuilder; urgency=low

  * (603e20) Jenkinsfile: use mergeJunitResults() (#38300)
  * (c8ec49) misc: update merge-junit-results.py
  * (09c32c) misc: make login_hint works without next parameter (#38163)
  * (9c2693) tox.ini: hide pytest warning about junit_family
  * (63c7cd) tests: fix passive authentication tests (#30497)
  * (d5e570) add kwargs template_base to LoginView (#35083)
  * (b673b3) do not crash if no idp is found (#19260)
  * (42620b) middleware: skip media/script HTTP requets (#30497)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 09 Dec 2019 11:47:14 +0100

python-django-mellon (1.10.1) stretch-eobuilder; urgency=low

  * (555a25) release 1.9

 -- eobuilder <eobuilder@entrouvert.com>  Sat, 05 Oct 2019 13:19:26 +0200

python-django-mellon (1.10) stretch-eobuilder; urgency=low

  * (7095b1) use MiddlewareMixin on middleware (#36509)
  * (83abc7) factorize compatibility layer (#36509)
  * (453ee8) jenkins: use ci@entrouvert.org for notifications
  * (325ec8) build: adapt merge-junit-results to latest pytest/3 <testsuites>
    element
  * (487229) tox: allow latest pytest
  * (a4a659) make DiscoveryResponse optional in metadata (#15260)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 04 Oct 2019 17:45:25 +0200

python-django-mellon (1.8) stretch-eobuilder; urgency=low

  * (355772) misc: limit setup_requires to django 1.11, to still be ok with py2

 -- eobuilder <eobuilder@entrouvert.com>  Sun, 22 Sep 2019 14:45:51 +0200

python-django-mellon (1.7) stretch-eobuilder; urgency=low

  * (fd409d) backends: accept being called with None as saml_attributes (#36330)

 -- eobuilder <eobuilder@entrouvert.com>  Sun, 22 Sep 2019 12:30:41 +0200

python-django-mellon (1.6) stretch-eobuilder; urgency=low

  * (6bd7ca) misc: mark MELLON_GROUP_ATTRIBUTE as code block in README
  * (54a0d9) misc: remove unmaintained "changes" section of README
  * (11c277) misc: fix reStructuredText syntax of README

 -- eobuilder <eobuilder@entrouvert.com>  Sun, 22 Sep 2019 11:09:35 +0200

python-django-mellon (1.5) stretch-eobuilder; urgency=low

  * (b34e0d) misc: lower django version to 1.7 in setup.py, to build on jessie
  * (e3a658) misc: update authenticate() for compatibility from 1.8 to 2.2 (#36330)
  * (fca5d0) tox: use newer django-webtest for newer django versions
  * (389e6d) tests: update for compatibility with django 2.2 (#36330)
  * (431577) misc: update setup.py with new django requirements

 -- eobuilder <eobuilder@entrouvert.com>  Sun, 22 Sep 2019 10:49:15 +0200

python-django-mellon (1.4) stretch-eobuilder; urgency=low

  * (81352a) tox: run tests against django 2.2 (#36330)
  * (785969) misc: add support for new django.urls module (#36330)
  * (1aea1c) misc: add on_delete parameter to foreign keys (#36330)

 -- eobuilder <eobuilder@entrouvert.com>  Sun, 22 Sep 2019 08:33:10 +0200

python-django-mellon (1.3) stretch-eobuilder; urgency=low

  * (80074e) middleware: prevent passive authentication on ajax requests (#34781)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 12 Jul 2019 13:41:49 +0200

python-django-mellon (1.2.46) stretch-eobuilder; urgency=low

  * (ab92ca) use unicode_literals (#34008)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 02 Jul 2019 17:44:03 +0200

python-django-mellon (1.2.45) stretch-eobuilder; urgency=low

  * (da94b2) adapters: add missing argument to log (#34333)
  * (6284da) misc: catch all unicode exceptions when checking next_url (#33083)
  * (40674e) do not warn about stale cache if not cache timeout is defined (#34319)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 25 Jun 2019 21:53:53 +0200

python-django-mellon (1.2.44) stretch-eobuilder; urgency=low

  * (39e2e7) update and cache metadata from URL and path (#10196)
  * (83a09d) code style (#10196)
  * (968aa0) really retrieve XML encoding (#10196)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 18 Jun 2019 00:53:01 +0200

python-django-mellon (1.2.43) stretch-eobuilder; urgency=low

  * (81ab8f) adapters: abstract user queryset (#33739)
  * (31015e) add user lookup by attributes (#33739)
  * (f2908b) adapters: factorize user linking (#33739)
  * (e0c1f5) simplify workflow in DefaultAdapter.lookup_user() (#33739)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 11 Jun 2019 16:46:02 +0200

python-django-mellon (1.2.42) stretch-eobuilder; urgency=low

  * (e1fa70) add setting MELLON_SIGNATURE_METHOD (#32008)
  * (b2a1da) debian: bump debhelper compatibility level (#32260)
  * (c5da4d) tests: use RSA-SHA256 certificates (fixes #31963)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 19 Apr 2019 11:09:11 +0200

python-django-mellon (1.2.41) stretch-eobuilder; urgency=low

  * (b640f5) tests: test failed request path with artifact (#31690)

