## python-django-mellon 1.15.1.g92703b3

=== debian/changelog ===
python-django-mellon (1.15.1.g92703b3-1~eob90+1) stretch-eobuilder; urgency=low

  * (92703b) misc: get server cache from local variable (#41744)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 15 Apr 2020 14:31:26 +0200

python-django-mellon (1.15) stretch-eobuilder; urgency=low

  * (b924eb) translation update
  * (d67297) misc: return bad request messages as plain text (#41602)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 14 Apr 2020 09:28:16 +0200
