## python-django-mellon 1.19.2.g32bb5ee

=== debian/changelog ===
python-django-mellon (1.19.2.g32bb5ee-1~eob90+1) stretch-eobuilder; urgency=low

  * (32bb5e) tox: limit mock version for compatibility with python 3.5
  * (0972d0) tox: tell setuptools to use distutils from stdlib (#46252)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 06 Oct 2020 09:27:40 +0200

python-django-mellon (1.19) stretch-eobuilder; urgency=low

  * (bdbc25) views: handle empty session at authentication (#45461)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 28 Jul 2020 09:33:12 +0200

python-django-mellon (1.18) stretch-eobuilder; urgency=low

  * (e1deb9) tests: clear caplog between sessions (#41949)
  * (3c696c) tox.ini: add env for running makemigrations (#41949)
  * (24f96b) misc: style (#41949)
  * (482aa0) misc: add support for SOAP SLO (#41949)
  * (65cbdc) misc: support asynchronous logout (#41949)
  * (2c6a05) misc: cache SAML identifier model on logged user (#41949)
  * (7b5ad0) models: add SessionIndex model (#41949)
  * (be52f6) misc: sign logout message when using PRIVATE_KEYS instead of
    PRIVATE_KEY (#41949)

 -- eobuilder <eobuilder@entrouvert.com>  Sun, 21 Jun 2020 13:13:57 +0200

python-django-mellon (1.17) stretch-eobuilder; urgency=low

  * (bfd715) display debug error details in an HTML comment (#43845)
  * (c05f4a) views: ignore XML content in SAML attributes (#43193)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 10 Jun 2020 11:08:35 +0200

python-django-mellon (1.16) stretch-eobuilder; urgency=low

  * (92703b) misc: get server cache from local variable (#41744)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 15 Apr 2020 14:31:26 +0200
