## python-django-mellon 1.22.1.g3678c49

=== debian/changelog ===
python-django-mellon (1.22.1.g3678c49-1~eob100+1) buster-eobuilder; urgency=low

  * (3678c4) misc: pass request to django.contrib.auth.authenticate() (#51566)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 02 Mar 2021 12:05:30 +0100

python-django-mellon (1.22) buster-eobuilder; urgency=low

  * (d106f3) misc: pass the authentication request to the adapter object (#50833)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 03 Feb 2021 21:21:35 +0100

python-django-mellon (1.21) buster-eobuilder; urgency=low

  * (7cd78e) views: fix logout is user is already logged out (#50155)
  * (956a86) build: update to use origin/main

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 15 Jan 2021 10:51:51 +0100

python-django-mellon (1.20) buster-eobuilder; urgency=low

  * (32bb5e) tox: limit mock version for compatibility with python 3.5
  * (0972d0) tox: tell setuptools to use distutils from stdlib (#46252)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 06 Oct 2020 09:27:40 +0200

python-django-mellon (1.19) buster-eobuilder; urgency=low

  * (bdbc25) views: handle empty session at authentication (#45461)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 28 Jul 2020 09:33:12 +0200

python-django-mellon (1.18) buster-eobuilder; urgency=low

  * (e1deb9) tests: clear caplog between sessions (#41949)
  * (3c696c) tox.ini: add env for running makemigrations (#41949)
  * (24f96b) misc: style (#41949)
  * (482aa0) misc: add support for SOAP SLO (#41949)
  * (65cbdc) misc: support asynchronous logout (#41949)
  * (2c6a05) misc: cache SAML identifier model on logged user (#41949)
  * (7b5ad0) models: add SessionIndex model (#41949)
  * (be52f6) misc: sign logout message when using PRIVATE_KEYS instead of
    PRIVATE_KEY (#41949)

 -- eobuilder <eobuilder@entrouvert.com>  Sun, 21 Jun 2020 13:13:57 +0200

python-django-mellon (1.17) buster-eobuilder; urgency=low

  * (bfd715) display debug error details in an HTML comment (#43845)
  * (c05f4a) views: ignore XML content in SAML attributes (#43193)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 10 Jun 2020 11:08:35 +0200

python-django-mellon (1.16) buster-eobuilder; urgency=low

  * (92703b) misc: get server cache from local variable (#41744)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 15 Apr 2020 14:31:26 +0200

python-django-mellon (1.15) buster-eobuilder; urgency=low

  * (b924eb) translation update
  * (d67297) misc: return bad request messages as plain text (#41602)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 14 Apr 2020 09:28:16 +0200

python-django-mellon (1.14) buster-eobuilder; urgency=low

  * (f16d31) adapters: ease custom lookup through inheritance (#40833)
  * (74230b) general: remove compatibility with django < 1.11 (#38616)
  * (320ee3) adapters: only warn if lookup attribute is empty (#39381)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 31 Mar 2020 15:10:50 +0200

python-django-mellon (1.13) buster-eobuilder; urgency=low

  * (b4a087) misc: use compat.is_authenticated() in logout views (#38613)
  * (7802e8) misc: allow all views to receive template_base/context_hook kwargs
    (#38610)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 18 Dec 2019 10:25:44 +0100

python-django-mellon (1.12) buster-eobuilder; urgency=low

  * (fcb38f) misc: ignore error when opening cached metadata (#38575)
  * (b1b85c) add possibility to define a hook to alter login template context
    (#38533)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 17 Dec 2019 09:04:23 +0100

python-django-mellon (1.11) buster-eobuilder; urgency=low

  * (603e20) Jenkinsfile: use mergeJunitResults() (#38300)
  * (c8ec49) misc: update merge-junit-results.py
  * (09c32c) misc: make login_hint works without next parameter (#38163)
  * (9c2693) tox.ini: hide pytest warning about junit_family
  * (63c7cd) tests: fix passive authentication tests (#30497)
  * (d5e570) add kwargs template_base to LoginView (#35083)
  * (b673b3) do not crash if no idp is found (#19260)
  * (42620b) middleware: skip media/script HTTP requets (#30497)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 09 Dec 2019 11:47:14 +0100

python-django-mellon (1.10.1) buster-eobuilder; urgency=low

  * (555a25) release 1.9

 -- eobuilder <eobuilder@entrouvert.com>  Sat, 05 Oct 2019 13:19:26 +0200

python-django-mellon (1.10) buster-eobuilder; urgency=low

  * (7095b1) use MiddlewareMixin on middleware (#36509)
  * (83abc7) factorize compatibility layer (#36509)
  * (453ee8) jenkins: use ci@entrouvert.org for notifications
  * (325ec8) build: adapt merge-junit-results to latest pytest/3 <testsuites>
    element
  * (487229) tox: allow latest pytest
  * (a4a659) make DiscoveryResponse optional in metadata (#15260)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 04 Oct 2019 17:45:25 +0200

python-django-mellon (1.8) buster-eobuilder; urgency=low

  * (355772) misc: limit setup_requires to django 1.11, to still be ok with py2

 -- eobuilder <eobuilder@entrouvert.com>  Sun, 22 Sep 2019 14:45:51 +0200

python-django-mellon (1.7) buster-eobuilder; urgency=low

  * (fd409d) backends: accept being called with None as saml_attributes (#36330)

 -- eobuilder <eobuilder@entrouvert.com>  Sun, 22 Sep 2019 12:30:41 +0200

python-django-mellon (1.6) buster-eobuilder; urgency=low

  * (6bd7ca) misc: mark MELLON_GROUP_ATTRIBUTE as code block in README
  * (54a0d9) misc: remove unmaintained "changes" section of README
  * (11c277) misc: fix reStructuredText syntax of README

 -- eobuilder <eobuilder@entrouvert.com>  Sun, 22 Sep 2019 11:09:35 +0200

python-django-mellon (1.5) buster-eobuilder; urgency=low

  * (b34e0d) misc: lower django version to 1.7 in setup.py, to build on jessie
  * (e3a658) misc: update authenticate() for compatibility from 1.8 to 2.2 (#36330)
  * (fca5d0) tox: use newer django-webtest for newer django versions
  * (389e6d) tests: update for compatibility with django 2.2 (#36330)
  * (431577) misc: update setup.py with new django requirements


