## python-django-mellon 1.24.1.g74e6f5a

=== debian/changelog ===
python-django-mellon (1.24.1.g74e6f5a-1~eob100+1) buster-eobuilder; urgency=low

  * (74e6f5) middleware: disable automatic passive authentication if ?no-passive-
    auth (#55854)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 27 Jul 2021 12:04:24 +0200

python-django-mellon (1.24) buster-eobuilder; urgency=low

  * (472ce6) adapters: improve log messages (#55544)
  * (abe032) fix typos in README
  * (8f374e) tox: limit psycopg2 to < 2.9 (#54925)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 13 Jul 2021 12:09:12 +0200

python-django-mellon (1.23) buster-eobuilder; urgency=low

  * (fe28a7) misc: add black files/notes (#51575)
  * (5b9bc1) trivial: apply black (#51575)
  * (672cfb) adapters: report warning about TRANSIENT_FEDERATION_ATTRIBUTE to user
    (#51568)
  * (3678c4) misc: pass request to django.contrib.auth.authenticate() (#51566)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 02 Mar 2021 15:50:59 +0100
