## python-django-mellon 1.26

=== debian/changelog ===
python-django-mellon (1.26-1~eob100+1) buster-eobuilder; urgency=low

  * (fbc358) add MELLON_ASSERTION_CONSUMER_BINDINGS (#52063)
  * (734a7b) Jenkinsfile: run pylint (#51640)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 05 Aug 2021 15:57:39 +0200

python-django-mellon (1.25) buster-eobuilder; urgency=low

  * (10016d) hide "apply isort and pyupgrade" commit (#55990)
  * (4729ef) apply isort and pyupgrade (#55990)
  * (2704f4) views: keep a nonce during a forceAuthn request (#55953)
  * (dbdd6f) views: add debug login view (#55557)
  * (dde8fa) views: move login code to separate method (#55557)
  * (e4bec9) tox: stop testing with python2, django 1.11 and sqlite (#55926)
  * (74e6f5) middleware: disable automatic passive authentication if ?no-passive-
    auth (#55854)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 05 Aug 2021 11:13:51 +0200
