## python-django-mellon 1.33.1.g7c9ca09

=== debian/changelog ===
python-django-mellon (1.33.1.g7c9ca09-1~eob110+1) bullseye-eobuilder; urgency=low

  * (7c9ca0) misc: remove six module usage (#63688)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 08 Apr 2022 10:14:54 +0200

python-django-mellon (1.33) bullseye-eobuilder; urgency=low

  * (29c3d7) trivial: bump black version to 22.3.0
  * (8f49eb) translation update
  * (ff98a8) translations: close quotes around username (#63178)
  * (6b3537) trivial: bump black version to 22.1.0 (#62312)
  * (12b92b) debian: update django dependency to 2.2

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 31 Mar 2022 12:17:43 +0200

python-django-mellon (1.32) bullseye-eobuilder; urgency=low

  * (fc4f78) translation update
  * (104d57) views: do not logout in sp_response_logout (#61431)
  * (947c35) views: keep next_url trough sp logout (#61431)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 04 Feb 2022 13:25:52 +0100

python-django-mellon (1.31) bullseye-eobuilder; urgency=low

  * (a2019a) properly close meta refresh tag (#61020)
  * (8ec0ea) jenkins: show execution context in coverage reports (#60446)
  * (8ed437) build: update setup.py to require at least django 2.2
  * (70586c) jenkins: build packages for buster & bullseye

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 24 Jan 2022 16:57:02 +0100

python-django-mellon (1.30) bullseye-eobuilder; urgency=low

  * (be1e50) views: log SAML response and assertion in debug view (#58915)
  * (50cb52) views: render debug login template at the last moment (#58906)
  * (b80bc2) build: bump black version
  * (d5579d) debian: switch to debhelper-compat 12 (#57538)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 23 Nov 2021 19:21:23 +0100

python-django-mellon (1.29) bullseye-eobuilder; urgency=low

  * (090a13) translation update
  * (4941fd) show an error page when create_server fails (#57176)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 05 Oct 2021 22:11:08 +0200

python-django-mellon (1.28) bullseye-eobuilder; urgency=low

  * (3f3287) translation update
  * (73bfa4) drop and rename issuer field (#56819)
  * (a851b5) migrate issuer data (#56819)
  * (ba312a) add Issuer model (#56819)
  * (2d1510) adapters: truncate username to the field's max_length (#56482)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 17 Sep 2021 13:10:54 +0200

python-django-mellon (1.27) bullseye-eobuilder; urgency=low

  * (f6576f) debian: add back debhelper to build-depends (erroneously removed)
    (#56134)
  * (318683) debian: stop building a python2 package (#56134)

 -- eobuilder <eobuilder@entrouvert.com>  Sun, 15 Aug 2021 17:24:49 +0200

python-django-mellon (1.26) bullseye-eobuilder; urgency=low

  * (fbc358) add MELLON_ASSERTION_CONSUMER_BINDINGS (#52063)
  * (734a7b) Jenkinsfile: run pylint (#51640)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 05 Aug 2021 15:57:39 +0200

python-django-mellon (1.25) bullseye-eobuilder; urgency=low

  * (10016d) hide "apply isort and pyupgrade" commit (#55990)
  * (4729ef) apply isort and pyupgrade (#55990)
  * (2704f4) views: keep a nonce during a forceAuthn request (#55953)
  * (dbdd6f) views: add debug login view (#55557)
  * (dde8fa) views: move login code to separate method (#55557)
  * (e4bec9) tox: stop testing with python2, django 1.11 and sqlite (#55926)
  * (74e6f5) middleware: disable automatic passive authentication if ?no-passive-
    auth (#55854)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 05 Aug 2021 11:13:51 +0200

python-django-mellon (1.24) bullseye-eobuilder; urgency=low

  * (472ce6) adapters: improve log messages (#55544)
  * (abe032) fix typos in README
  * (8f374e) tox: limit psycopg2 to < 2.9 (#54925)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 13 Jul 2021 12:09:12 +0200

python-django-mellon (1.23) bullseye-eobuilder; urgency=low

  * (fe28a7) misc: add black files/notes (#51575)
  * (5b9bc1) trivial: apply black (#51575)
  * (672cfb) adapters: report warning about TRANSIENT_FEDERATION_ATTRIBUTE to user
    (#51568)
  * (3678c4) misc: pass request to django.contrib.auth.authenticate() (#51566)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 02 Mar 2021 15:50:59 +0100

python-django-mellon (1.22) bullseye-eobuilder; urgency=low

  * (d106f3) misc: pass the authentication request to the adapter object (#50833)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 03 Feb 2021 21:21:35 +0100

python-django-mellon (1.21) bullseye-eobuilder; urgency=low

  * (7cd78e) views: fix logout is user is already logged out (#50155)
  * (956a86) build: update to use origin/main

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 15 Jan 2021 10:51:51 +0100

python-django-mellon (1.20) bullseye-eobuilder; urgency=low

  * (32bb5e) tox: limit mock version for compatibility with python 3.5
  * (0972d0) tox: tell setuptools to use distutils from stdlib (#46252)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 06 Oct 2020 09:27:40 +0200

python-django-mellon (1.19) bullseye-eobuilder; urgency=low

  * (bdbc25) views: handle empty session at authentication (#45461)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 28 Jul 2020 09:33:12 +0200

python-django-mellon (1.18) bullseye-eobuilder; urgency=low

  * (e1deb9) tests: clear caplog between sessions (#41949)
  * (3c696c) tox.ini: add env for running makemigrations (#41949)
  * (24f96b) misc: style (#41949)
  * (482aa0) misc: add support for SOAP SLO (#41949)
  * (65cbdc) misc: support asynchronous logout (#41949)
  * (2c6a05) misc: cache SAML identifier model on logged user (#41949)
  * (7b5ad0) models: add SessionIndex model (#41949)
  * (be52f6) misc: sign logout message when using PRIVATE_KEYS instead of
    PRIVATE_KEY (#41949)

 -- eobuilder <eobuilder@entrouvert.com>  Sun, 21 Jun 2020 13:13:57 +0200

python-django-mellon (1.17) bullseye-eobuilder; urgency=low

  * (bfd715) display debug error details in an HTML comment (#43845)
  * (c05f4a) views: ignore XML content in SAML attributes (#43193)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 10 Jun 2020 11:08:35 +0200


