=== debian/control ===
Source: python-django-mellon
Maintainer: Entr'ouvert <info@entrouvert.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-django,
               python3-lasso,
               python3-setuptools
Standards-Version: 3.9.1

Package: python3-django-mellon
Architecture: all
Depends: python3-atomicwrites,
         python3-django (>= 2:2.2),
         python3-isodate,
         python3-lasso,
         ${misc:Depends},
         ${python3:Depends}
Description: SAML authentication for Django
