## python-django-mellon 1.45.post1+gc98d462

=== debian/changelog ===
python-django-mellon (1.45.post1+gc98d462-1~eob120+1) bookworm-eobuilder; urgency=low

  * (c98d46) middleware: check ajax request with sec-fetch-mode header header
    (#81211)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 14 Sep 2023 16:41:22 +0200

python-django-mellon (1.45) bookworm-eobuilder; urgency=low

  * (f4ad73) Do not use a subquery to clean dead sessions (#80626)
  * (3c4a96) misc: update git-blame-ignore-revs to ignore quote changes (#79788)
  * (877682) misc: apply double-quote-string-fixer (#79788)
  * (d33d19) misc: add pre commit hook to force single quotes (#79788)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 29 Aug 2023 10:02:39 +0200

python-django-mellon (1.44) bookworm-eobuilder; urgency=low

  * (5e2c83) ci: build deb package for bookworm (#78968)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 23 Jun 2023 17:28:33 +0200

python-django-mellon (1.43) bookworm-eobuilder; urgency=low

  * (170e72) misc: allow login_hint parameter in login url (#76712)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 17 Apr 2023 15:27:37 +0200

python-django-mellon (1.42) bookworm-eobuilder; urgency=low

  * (0f7044) adapters: do not exclude already linked users (#76083)
  * (ada3ed) misc: bump djhtml version (#75442)
  * (e54f10) misc: bump black version (#75442)
  * (942b5e) misc: change pyupgrade target version to 3.9 (#75442)
  * (7beeff) misc: change django-upgrade target version to 3.2 (#75442)
  * (a5dac4) misc: require django 3.2 (#75442)
  * (c5888d) tests: use default list of middewares
  * (aa42c1) tox.ini: restrict psycopg2 version only for testing on django 2.2
  * (aebcba) readme: add a note on django admin's catch-all option (#74988)
  * (b3aa64) Prepare Jenkinsfile for Gitea migration (#74572)
  * (abe716) ci: upgrade isort (#74044)
  * (e4c2bd) ci: add timeout to build
  * (f7f3cf) ci: only build package for bullseye (#72729)

 -- eobuilder <eobuilder@entrouvert.com>  Sat, 01 Apr 2023 17:32:39 +0200

python-django-mellon (1.41) bookworm-eobuilder; urgency=low

  * (750f86) misc: do not send logout requests if SingleLogout profile is not
    supported (#71041)
  * (45c987) tests: remove useless import of py.io (#70797)
  * (531d19) ci: update pyupgrade to 3.1.0 (#70693)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 09 Nov 2022 08:16:02 +0100

python-django-mellon (1.40) bookworm-eobuilder; urgency=low

  * (667078) translation update
  * (e1e50c) misc: replace use of distutils.sysconfig by sysconfig in getlasso3.sh
  * (817314) views: send all related SessionIndex in LogoutRequest (#69955)
  * (cce77e) adapters: update new UserSAMLIdentifier fields on each SSO (#69955)
  * (45f815) misc: clean SessionIndex during logout (#69740)
  * (f335a4) views: implement a sessionless logout endpoint (#69740)
  * (218afd) misc: make logout work with transient NameID (#69740)
  * (7f9602) utils: add method to build a session dump from models (#69740)
  * (600c8c) misc: keep nameid attributes to rebuild it (#69740)
  * (e98308) views: allow overriding the default return url after logout (#69740)
  * (86d3ca) views: improve handling of next_url for sp initiated logout (#69740)
  * (43ce1d) utils: use same_origin() from authentic2 (#69740)
  * (e9008d) setup.py: use a PEP440 compatible get_version() (#69795)
  * (df20bf) misc: add django-upgrade files/notes (#69798)
  * (865b28) misc: apply django-upgrade (#69798)
  * (9f406a) misc: fix incorrect pre-commit info in readme
  * (e7a1aa) translation update
  * (591344) templates: add blocktrans trimmed where useful (#69422)
  * (bd45e6) misc: add djhtml files/notes (#69422)
  * (d20066) misc: apply djhtml (#69422)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 10 Oct 2022 09:37:34 +0200

python-django-mellon (1.39) bookworm-eobuilder; urgency=low

  * (a7a358) views: show debug login view on lasso exception (#68962)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 14 Sep 2022 13:53:49 +0200

python-django-mellon (1.38) bookworm-eobuilder; urgency=low

  * (98783c) django4: access request headers through request.headers instead of
    request.META (#68571)
  * (7050da) django4: replaced urls.url with url.path equivalent (#68571)
  * (1740cd) django4: replaced deprecated request.is_ajax() call (#68571)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 31 Aug 2022 09:13:37 +0200

python-django-mellon (1.37) bookworm-eobuilder; urgency=low

  * (366758) misc: log when login is refused because of authn_classref mismatch
    (#68236)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 18 Aug 2022 15:09:20 +0200

python-django-mellon (1.36) bookworm-eobuilder; urgency=low

  * (437d1a) middleware: clear PASSIVE_TRIED_COOKIE when logged in (#67084)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 06 Jul 2022 16:11:39 +0200

python-django-mellon (1.35) bookworm-eobuilder; urgency=low

  * (1fa154) views: use MELLON_OPENED_SESSION to anchor local session to the global
    session (#66747)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 29 Jun 2022 11:14:05 +0200

python-django-mellon (1.34) bookworm-eobuilder; urgency=low

  * (025cda) tox: test with (bullseye-backports') django3.2 (#64309)
  * (088dc5) setup: allow for (bullseye-backports') django3.2 version (#64309)
  * (e27baf) handle long attribute truncate variations between django2 & 3 (#64309)
  * (dedd92) use force_str only when necessary (#64309)
  * (b4704b) use django3.2-compatible re_path urls util (#64309)
  * (509bee) discard deprecated ugettext* i18n utils (#64309)
  * (7c9ca0) misc: remove six module usage (#63688)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 20 Apr 2022 15:01:59 +0200

python-django-mellon (1.33) bookworm-eobuilder; urgency=low

  * (29c3d7) trivial: bump black version to 22.3.0
  * (8f49eb) translation update
  * (ff98a8) translations: close quotes around username (#63178)
  * (6b3537) trivial: bump black version to 22.1.0 (#62312)
  * (12b92b) debian: update django dependency to 2.2

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 31 Mar 2022 12:17:43 +0200


