## python-django-mellon 1.50.post1+g244ca2a

=== debian/changelog ===
python-django-mellon (1.50.post1+g244ca2a-1~eob120+1) bookworm-eobuilder; urgency=low

  * (244ca2) misc: do not read not_on_or_after if session is not loaded (#86451)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 01 Feb 2024 16:17:22 +0100

python-django-mellon (1.50) bookworm-eobuilder; urgency=low

  * (3509a4) ci: use pytest-freezer to mute warnings (#86402)
  * (a17efc) ci: fix pylint warnings (#86402)
  * (aa9bdc) ci: remove django 2.2 targets (#86402)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 31 Jan 2024 22:08:16 +0100

python-django-mellon (1.48) bookworm-eobuilder; urgency=low

  * (c200ed) translation update
  * (51ee9d) views: show message when logout is refused (#85904)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 30 Jan 2024 09:40:38 +0100

python-django-mellon (1.47) bookworm-eobuilder; urgency=low

  * (af81da) adapters: do not log errors on cold cache (#84933)
  * (200e00) middleware: use sec-fetch-dest=document to identify page requests
    (#84104)
  * (410cb6) tests: vary dbname on each test run (#84947)
  * (b1c105) tox.ini: add allowlist_externals (#84933)
  * (bddd12) ci: keep on using pylint 2 while pylint-django is not ready (#81905)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 16 Jan 2024 12:41:25 +0100

python-django-mellon (1.46) bookworm-eobuilder; urgency=low

  * (c98d46) middleware: check ajax request with sec-fetch-mode header header
    (#81211)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 14 Sep 2023 16:41:22 +0200
