## python-django-mellon 1.65

=== debian/changelog ===
python-django-mellon (1.65-1~eob120+1) bookworm-eobuilder; urgency=low

  * (16dd1d) misc: catch invalid logout token (#108382)

 -- eobuilder <eobuilder@entrouvert.com>  Sun, 20 Jul 2025 13:27:21 +0200
