## python-django-mellon 1.65.post1+g9788222

=== debian/changelog ===
python-django-mellon (1.65.post1+g9788222-1~eob120+1) bookworm-eobuilder; urgency=low

  * (978822) adapters: add active-users lookup option (#109730)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 07 Oct 2025 11:13:57 +0200

python-django-mellon (1.65) bookworm-eobuilder; urgency=low

  * (16dd1d) misc: catch invalid logout token (#108382)

 -- eobuilder <eobuilder@entrouvert.com>  Sun, 20 Jul 2025 13:27:21 +0200
