=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Package: python3-django-mellon
 Architecture: all
 Depends: python3-atomicwrites,
-         python3-django (>= 2:2.2),
+         python3-django (>= 2:3.2),
          python3-isodate,
          python3-lasso,
          ${misc:Depends},
