## python-django-mellon 1.66.post1+g93acf4f

=== debian/changelog ===
python-django-mellon (1.66.post1+g93acf4f-1~eob130+1) trixie-eobuilder; urgency=low

  * (93acf4) ci: also build package for trixie (#111016)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 15 Oct 2025 10:16:57 +0200

python-django-mellon (1.66) trixie-eobuilder; urgency=low

  * (978822) adapters: add active-users lookup option (#109730)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 07 Oct 2025 11:13:57 +0200

python-django-mellon (1.65) trixie-eobuilder; urgency=low

  * (16dd1d) misc: catch invalid logout token (#108382)

 -- eobuilder <eobuilder@entrouvert.com>  Sun, 20 Jul 2025 13:27:21 +0200

python-django-mellon (1.64) trixie-eobuilder; urgency=low

  * (f9faa8) setup: django version must tolerate 3.2 in setup_requires (#106938)
  * (ea330e) setup: bump django version to 4.2 and add asgiref to setup_requires
    (#106938)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 16 Jun 2025 09:14:14 +0200

python-django-mellon (1.63) trixie-eobuilder; urgency=low

  * (142f34) views: allow passing of extra kwargs to django authn backends (#104236)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 03 Apr 2025 14:59:43 +0200

python-django-mellon (1.62) trixie-eobuilder; urgency=low

  * (903988) misc: let pre-commit apply changes (#101218)
  * (039f19) ci: update black version (#101218)
  * (31bdce) ci: change black to target python 3.11 (#101218)
  * (462507) ci: change django-upgrade to target django 4.2 (#101218)
  * (7a7675) ci: change pyupgrade to target python 3.11 (#101218)
  * (5ae540) ci: update django-upgrade version (#101218)
  * (e669f4) ci: update pyupgrade version (#101218)
  * (4738ad) ci: update nox to only test against django 4.2 (#101218)

 -- eobuilder <eobuilder@entrouvert.com>  Sun, 09 Feb 2025 13:09:08 +0100

python-django-mellon (1.61) trixie-eobuilder; urgency=low

  * (7d7866) misc: reduce log level of purely informational logs (#98793)
  * (036da4) ci: add check-manifest to noxfile (#97542)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 20 Nov 2024 15:16:31 +0100

python-django-mellon (1.60) trixie-eobuilder; urgency=low

  * (6d1707) misc: skip SAML logout if not session remains (#94847)
  * (1d8eb5) ci: show pip install command output (#93872)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 04 Sep 2024 11:39:04 +0200

python-django-mellon (1.59) trixie-eobuilder; urgency=low

  * (eb3580) misc: factorize render method between Login and Logout view (#93971)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 08 Aug 2024 14:55:15 +0200

python-django-mellon (1.58) trixie-eobuilder; urgency=low

  * (e49cb6) translation update
  * (b37e40) implement HTTP-POST SLO (#93776)
  * (404808) misc: make a python package with tests/  (#93776)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 02 Aug 2024 09:53:28 +0200

python-django-mellon (1.57) trixie-eobuilder; urgency=low

  * (e8f027) trivial: update pre-commit-hooks to 4.6.0 (#93275)
  * (24c247) ci: stop building for bullseye (#92890)
  * (14009e) setup: use setuptools instead of distutils (#92890)
  * (18a7af) ci: use tags to limit nox sessions run by jenkins (#91278)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 18 Jul 2024 13:37:52 +0200

python-django-mellon (1.56) trixie-eobuilder; urgency=low

  * (7f2576) ci: set reuse_venv=True (#84667)
  * (3f70dd) misc: forbid null issuer (#84667)
  * (02e916) misc: set on_delete=PROTECT on issuer (#84667)
  * (4d1cc1) setup.py: revert change to setup_requires (#91248)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 27 Jun 2024 11:09:01 +0200

python-django-mellon (1.55) trixie-eobuilder; urgency=low

  * (9b1115) ci: test against Django 4.2 (#91248)
  * (8d204b) ci: remove unused django rest framework dependency (#91248)
  * (7cee36) ci: migrate from tox to nox (#91256)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 30 May 2024 11:13:28 +0200

python-django-mellon (1.54) trixie-eobuilder; urgency=low

  * (e57fea) misc: add Secure flag to cookies (#90240)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 02 May 2024 10:29:44 +0200

python-django-mellon (1.53) trixie-eobuilder; urgency=low

  * (6742f2) misc: use samesite=None for passive cookies (#90193)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 30 Apr 2024 14:43:33 +0200

python-django-mellon (1.52) trixie-eobuilder; urgency=low

  * (7f58bf) misc: do not update Issuer uselessly (#86976)
  * (b37288) adapters: update cache file ctime on refresh (#86977)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 15 Feb 2024 09:59:47 +0100

python-django-mellon (1.51) trixie-eobuilder; urgency=low

  * (244ca2) misc: do not read not_on_or_after if session is not loaded (#86451)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 01 Feb 2024 16:17:22 +0100

python-django-mellon (1.50) trixie-eobuilder; urgency=low

  * (3509a4) ci: use pytest-freezer to mute warnings (#86402)
  * (a17efc) ci: fix pylint warnings (#86402)
  * (aa9bdc) ci: remove django 2.2 targets (#86402)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 31 Jan 2024 22:08:16 +0100

python-django-mellon (1.48) trixie-eobuilder; urgency=low

  * (c200ed) translation update
  * (51ee9d) views: show message when logout is refused (#85904)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 30 Jan 2024 09:40:38 +0100

python-django-mellon (1.47) trixie-eobuilder; urgency=low

  * (af81da) adapters: do not log errors on cold cache (#84933)
  * (200e00) middleware: use sec-fetch-dest=document to identify page requests
    (#84104)
  * (410cb6) tests: vary dbname on each test run (#84947)
  * (b1c105) tox.ini: add allowlist_externals (#84933)
  * (bddd12) ci: keep on using pylint 2 while pylint-django is not ready (#81905)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 16 Jan 2024 12:41:25 +0100

python-django-mellon (1.46) trixie-eobuilder; urgency=low

  * (c98d46) middleware: check ajax request with sec-fetch-mode header header
    (#81211)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 14 Sep 2023 16:41:22 +0200

python-django-mellon (1.45) trixie-eobuilder; urgency=low


