## python-django-mellon 2

=== debian/changelog ===
python-django-mellon (2-1~eob130+1) trixie-eobuilder; urgency=low

  * (93acf4) ci: also build package for trixie (#111016)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 15 Oct 2025 10:16:57 +0200
